[Deprecated]: v1.0
get
/ec-codelist-svc/rest/v1.0/codelist/values/{fieldName}
Deprecated: Use /v4.0/codelist/values/{fieldName} instead. The v4 endpoint supports group scoping, hidden-value control, site mapping controls, and cache bypass for approved internal callers.
Request
Path Parameters
-
fieldName(required): string
Required. Field value used to identify codelist values. This can be a code name, tag name, codelist UUID, or site UUID depending on the type parameter.Example:
AESEV
Query Parameters
-
allFields(required): boolean
Optional. Indicates whether hidden fields should be returned. Allowed values are true and false.Example:
true -
dataType: string
Optional. Data type to return. Allowed values are current and history. Default is current.Example:
current -
isHierarchial(required): boolean
Optional. Indicates whether hierarchical code values should be returned. Allowed values are true and false.Example:
false -
language(required): string
Optional. Language code for returned codelist labels. This value overrides the user preference and is case-sensitive, for example en or ja. Default is en.Example:
en -
mode(required): string
Required. Study mode used to scope the codelist request. Allowed values are active, test, and training.Example:
test -
studyId(required): string
Required. Study identifier used to scope the codelist request. Use a UUID represented as a 32-character uppercase hexadecimal string.Example:
B1B8327AFAA6412287106192AB5984EF -
type: string
Optional. Field type used to interpret the path value. Allowed values are code, tag, and ID. Default is code.Example:
code
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : BaseCodeListDtoV1.0
Type:
objectTitle:
BaseCodeListDtoV1.0Codelist response payload containing the codelist definition and values.
Show Source
-
code: object
code
Codelist definition.
-
values: array
values
Codelist values.
Nested Schema : code
Type:
objectCodelist definition.
Example:
{
"id":"D1D8327AFAA6412287106192AB5984EF",
"codeName":"AE_SEVERITY",
"codeType":"String",
"codeLevel":"SYSTEM"
}Nested Schema : values
Type:
arrayCodelist values.
Show Source
-
Array of:
object items
Codelist values.
Example:
[
{
"id":"56B7D39029424986ADC86DC4B976DD5E",
"codeValue":"MILD",
"codeLabel":"Mild",
"sequence":1,
"locale":"en-US"
}
]Nested Schema : items
Type:
objectCodelist values.
Example:
[
{
"id":"56B7D39029424986ADC86DC4B976DD5E",
"codeValue":"MILD",
"codeLabel":"Mild",
"sequence":1,
"locale":"en-US"
}
]Examples
400 Response
Missing required field (codeName).
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
500 Response
Internal server error
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples